<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		/**
		 * sobrecarga de metodos: dos metodos con el mismo nombre en distintos argumentos
		 */
		
		/**
		 * Sobreescritura: dos miembros con el mismo identificador (padre e hijo)
		 */
		var Persona=function(){
			this.peso=20;
			this.nombre="padre";
		};

		var Mujer=function(){
			this.altura=180;
			this.nombre="hija";
			this.mujer=function(){
		//		Persona.call(this); "call" ante sobreescritura no mantiene la jerarquia
			};

			this.mujer();
		};

		Mujer.prototype=new Persona(); //junta las propiedades pero mantiene la jerarquia

		var objeto=new Mujer;
		console.log(objeto)
		console.log(objeto.__proto__.nombre); // para llegar al padre en caso de sobreescritura
	</script>
</head>
<body>
	
</body>
</html>